FreeBSD 5.3-BETA7 available

Jeremy Messenger mezz7 at cox.net
Tue Oct 5 10:27:54 PDT 2004


On Tue, 5 Oct 2004 00:36:16 -0700, Ryan Freeman <ryan at slipgate.org> wrote:

> On Mon, Oct 04, 2004 at 10:20:06PM -0700, Joshua Tinnin wrote:
>> On Monday 04 October 2004 08:25 pm, Benjamin Lutz <benlutz at datacomm.ch>
>> wrote:
>> > > I remember reading some posts about this a little while back. Is
>> > > there any way to do this with a fine-tooth comb approach, or is it
>> > > just about the same to do a portupgrade -af?
>> >
>> > On my system, about half the installed ports needed rebuilding. I
>> > wrote a Python script that lists these ports, you can use it if you
>> > like:
>> >
>> > http://www.maxlor.com/freebsd/files/findlibusers.py
>>
>> Thank you very much for that. After running I find it's about the same
>> for me, but all the really big ones need to be rebuilt. Ah well, but I
>> will have to hold off on updating until I have a spare day to rebuild
>> everything essential.
>>
>
> I was just wondering who here uses the nvidia drivers, and if they work  
> on the library version bumped beta7 or not...

Works fine here when I am using libmap.conf like this:

libm.so.2		libm.so.3
libreadline.so.4		libreadline.so.5
libhistory.so.4		libhistory.so.5
libopie.so.2		libopie.so.3
libpcap.so.2		libpcap.so.3

I didn't test which libraries that need to be map, which I just  
copy-n-paste from UPDATING to libmap.conf.

> a friend of mine updated to beta7... and while he says he can play
> quake3 fine, quake2forge (native from ports) seems to fail with both glx
> and sdlgl renderers. My thought on this is that, while the library
> versions have been bumped, the nvidia drivers for linux emulation are
> unaffected, hence the working quake3, but libGL for native stuff still
> refers to libm. Is he just having odd system problems beyond the library
> version bump? Or am I actually correct in speculating that the nvidia
> drivers need to be updated to properly support beta7 and future releases?

Yes, Nvidia driver will have to update. If I remember it correct that some  
old threads about new Nvidia driver for -CURRENT sometime ago, there  
should have another Nvidia driver update that will working with thread,  
TLS and etc better...

> On a final note I have yet to go from beta6 to beta7 in fear that some  
> of my beloved games will stop working ;)

Those games should work as long you have libmap.conf set correct. I  
haven't recompile all apps yet as they all are running just fine with  
libmap.conf as the workaround, but I will recompile all apps sometime soon.

Cheers,
Mezz

> - Ryan Freeman


-- 
mezz7 at cox.net  -  mezz at FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/  -  gnome at FreeBSD.org


More information about the freebsd-current mailing list